FreeMat

- Main Page
- Related Pages

vtkOpenGLTexture

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOpenGLTexture is a concrete implementation of the abstract class vtkTexture. vtkOpenGLTexture interfaces to the OpenGL rendering library.

To create an instance of class vtkOpenGLTexture, simply invoke its constructor as follows

      obj = vtkOpenGLTexture

# Methods

The class vtkOpenGLTexture has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLTexture class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLTexture = obj.NewInstance ()`
- `vtkOpenGLTexture = obj.SafeDownCast (vtkObject o)`
- `obj.Load (vtkRenderer ren)` - Implement base class method.
- `obj.PostRender (vtkRenderer ren)`
- `obj.ReleaseGraphicsResources (vtkWindow )` - Release any graphics resources that are being consumed by this texture. The parameter window could be used to determine which graphic resources to release. Using the same texture object in multiple render windows is NOT currently supported.
- `long = obj.GetIndex ()` - Get the openGL texture name to which this texture is bound. This is available only if GL version >= 1.1